I am trying to build the same webkit distributed with harmattan SDK so I can set the "installation"  to a different folder and hopefully get my application to use it instead of the one distributed with PR1.2 and installed on /usr/lib.<br>
<br>I managed to build it using: <br>./build-webkit --qt --install-headers=/opt/GApp/include --install-libs=/opt/GApp/lib<br><br>And everything seems OK other than the resulting lib is 504M while the "same library" from the repository is just 18M. Do I need to do anything special to build webkit linking to the "available Qt" dynamically? Or...What am I doing wrong this time?<br>
<br>[sbox-HARMATTAN_ARMEL: ~/qtwebkit-2.1.1~git20110418/WebKitBuild] > ls GApp/lib/ -l -h<br>total 504M<br>-rw-r--r-- 1 felipe felipe  577 Apr 13 08:38 libQtWebKit.prl<br>lrwxrwxrwx 1 felipe felipe   20 Apr 13 08:38 libQtWebKit.so -> libQtWebKit.so.4.8.1<br>
lrwxrwxrwx 1 felipe felipe   20 Apr 13 08:38 libQtWebKit.so.4 -> libQtWebKit.so.4.8.1<br>lrwxrwxrwx 1 felipe felipe   20 Apr 13 08:38 libQtWebKit.so.4.8 -> libQtWebKit.so.4.8.1<br>-rwxr-xr-x 1 felipe felipe 504M Apr 13 08:38 libQtWebKit.so.4.8.1<br>
drwxrwxr-x 2 felipe felipe 4.0K Apr 13 08:38 pkgconfig<br><br><br>p.s. I am sorry to ask so many questions in such a small period of time but I am trying to work around the PR1.2 issue and can't find much of any information about (re)building (qt)webkit.<br>
<br>Thanks in advance (again),<br>Felipe<br>